﻿using System.Threading;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware.Netduino;

public class LightSwitch
{
    public static void Main()
    {
        var switchPort = new InputPort(Pins.ONBOARD_BTN, false,
            Port.ResistorMode.Disabled);
        var ledPort = new OutputPort(Pins.ONBOARD_LED, false);

        while (true)
        {
            bool isClosed = switchPort.Read();
            if (isClosed)
            {
                ledPort.Write(true);
            }
            else
            {
                ledPort.Write(false);
            }
            Thread.Sleep(100);              // 100 milliseconds
        }
    }
}
